Get Inactive Activities Endpoint#

The following section describes how to retrieve the list of inactive activities for ingestion.


Path

GET /content/v0/import/activities/inactive


Input parameters

Field

Mandatory

Data Type

Format

Description

Example

countryCode

N

varchar

Filter activities by country (ISO 3166-1 alpha-2 code)

FR

bookingEngineList

N

varchar

Comma-separated list of booking engines

HOLIBOB,VIATOR

modifiedSince

Y*

Date

yyyy-MM-dd’T’HH:mm:ss.sss’Z’

Only return activities modified since the given ISO-8601 UTC date * (at least one of modifiedSince or importCursor must be provided, the 2 can be present at the same time)

2026-02-02T22:10:40.000Z

importCursor

Y*

varchar

Opaque cursor for fetching the next page. Omit for the first request. * (at least one of modifiedSince or importCursor must be provided, the 2 can be present at the same time)

MTYzOTgyMjU5NjQ1NjAwMC84ODY2Mw==

page[limit]

N

Integer

page[limit]: the maximum items in one page. Default value = 100, max = 1000


Output

Field

Data Type

format

Description

Example

data.id

long

N/A

Identifier of activity

33245

meta.estimatedCount

long

N/A

An estimation of the total number of activities matching the filters. This is not an exact number, as the catalog may change during ingestion.

781

meta.importCursor

varchar

N/A

Opaque cursor for fetching the next page.

MTc3MTkyMTc0NzI0MDE0Ni8xMzg5NjkzNzg=

meta.links.self

uri

N/A

Self link

https://api.amadeus-discover.com/content/v0/import/activities/inactive?importCursor=MTYzOTgyMjU5NjQ1NjAwMC84ODY2Mw%3D%3D&countryCode=ES&page%5Blimit%5D=500

meta.links.next

uri

N/A

Link for next page. Empty if last page

https://api.amadeus-discover.com/content/v0/import/activities/inactive?importCursor=MTY1ODQxMDY4MDc3MTAwMC81MTg1ODE5&countryCode=ES&page%5Blimit%5D=500


Response Body
{
        "data": [
                {
                        "id": 79
                },
                {
                        "id": 81
                },
                {
                        "id": 83
                },
                {
                        "id": 89
                },
                {
                        "id": 95
                },
                {
                        "id": 100
                },
                {
                        "id": 106
                },
                {
                        "id": 116
                },
                {
                        "id": 120
                },
                {
                        "id": 122
                }
        ],
        "meta": {
                "importCursor": "MTc3MjAzMjg3NTUzODI3OS8xMjI=",
                "estimatedCount": 2339,
                "links": {
                        "self": "https://api.amadeus-discover.com/content/v0/import/activities/inactive?modifiedSince=2026-02-22T10:33:00.735852Z&page%5Blimit%5D=10",
                        "next": "https://api.amadeus-discover.com/content/v0/import/activities/inactive?modifiedSince=2026-02-22T10:33:00.735852Z&page%5Blimit%5D=10&importCursor=MTc3MjAzMjg3NTUzODI3OS8xMjI%3D"
                }
        }
}

Status Codes

HTTP Code

Code Description

200

Successful retrieval of active activities

400

Bad request (Organization ID is required)

400

Bad request (Page size cannot exceed limit)

400

Bad request (Page size cannot be lower than 1)

400

Bad request (Either importCursor or modifiedSince parameter must be provided)

400

Bad request (Invalid modifiedSince format. Expected ISO-8601 date-time format in UTC

400

Bad request (Modified since date cannot be older than x days)

400

Bad request (Modified since date cannot be newer than import cursor)

401

Unauthorized

403

Forbidden

500

Internal server error